import request from '@/utils/request'
const baseUrl = import.meta.env.VITE_APP_BASE_API
// 查询部门列表
export function listDept(query) {
  return request({
    url: baseUrl + '/system/dept/list',
    method: 'get',
    params: query
  })
}

export function listForCertificate(query) {
  return request({
    url: baseUrl + '/system/dept/listForCertificate',
    method: 'get',
    params: query
  })
}

// 查询部门名称和id
export function getDeptList(query) {
  return request({
    url: baseUrl + '/system/dept/getDeptList',
    method: 'get',
    params: query
  })
}

export function getDeptInfo(query) {
  return request({
    url: baseUrl + '/system/dept/getDeptInfo',
    method: 'get',
    params: query
  })
}

// 针对设备设置使用部门，提供部门列表
export function listDeptForEquipment(data) {
  return request({
    url: baseUrl + '/system/dept/listForEquipment',
    method: 'post',
    data: data
  })
}
export function updateDeptWorkshop(data) {
  return request({
    url: baseUrl + '/system/dept/updateDeptWorkshop',
    method: 'put',
    data: data
  })
}
export function updateDeptWorkshopByDeptId(data) {
  return request({
    url: baseUrl + '/system/dept/updateDeptWorkshopByDeptId',
    method: 'put',
    data: data
  })
}
// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: baseUrl + '/system/dept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: baseUrl + '/system/dept/' + deptId,
    method: 'get'
  })
}
// 新增或修改部门
export function saveDept(data) {
  return request({
    url: baseUrl + '/system/dept/save',
    method: 'post',
    data: data
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: baseUrl + '/system/dept',
    method: 'post',
    data: data
  })
}
export function getUserInfoByDeptId(data) {
  return request({
    url: baseUrl + '/system/user/getUserInfoByDeptId',
    method: 'post',
    data: data
  })
}

export function selectDeptInfo(data) {
  return request({
    url: baseUrl + '/system/dept/selectDeptInfo',
    method: 'post',
    data: data
  })
}
// 修改部门
export function updateDept(data) {
  return request({
    url: baseUrl + '/system/dept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: baseUrl + '/system/dept/' + deptId,
    method: 'delete'
  })
}

export function workSectionTree(query) {
  return request({
    url: baseUrl + '/system/dept/workSectionTree',
    method: 'get',
    params: query
  })
}
